Trio Agency API Docs
Trio Agency APIs
Trio Client APIs
Trio Agency APIs
Trio Client APIs
  1. Shifts
  • Trio
    • Home
    • Webhooks
    • Guides
      • Jobs Sync
      • Candidate Submission
    • APIs
      • Candidate
        • Get a list of all active candidates related to your account.
        • Create or update a candidate.
        • Gets information for the specified candidate.
      • Candidates
        • Gets a list of candidates
        • Creates a candidate.
        • Gets a specific candidate
        • Updates a candidate.
      • Client
        • Get a list of all active clients related to your account.
        • Gets information for the specified client.
      • Clients
        • Get client locations.
        • Get clients by external source
        • Get a specific client location.
      • Job
        • Gets a listing of all open jobs.
        • Gets a listing of closed jobs based on the date range.
        • Get information for the specified job.
      • Profession
        • Gets all professions with a list of their specialties.
      • ProviderConfirmation
        • Get a list of provider confirmations related to your account.
        • Get information for the specified provider confirmation.
      • Shifts
        • Gets a list of shifts for the user performing the request
          GET
        • Gets a list of available shift statuses
          GET
        • Gets a specific shift
          GET
        • Attempts to claim the shift for the current user or specified candidate
          POST
        • Confirms the assignment of a shift
          POST
        • Declines the assignment of a shift
          POST
        • Releases a confirmed shift
          POST
      • ShiftSubmissions
        • Attempts to submit a shift submission
        • Attempts to accept a shift submission
        • Attempts to reject a shift submission
        • Attempts to withdraw a shift submission
      • Specialty
        • Gets all specialties.
        • Gets information for the specified specialty.
      • StaffingPools
        • Get a collection of candidates with active or inactive clearances to staffing pools
        • Get locations for staffing pools
      • Submission
        • Get a list of all submissions related to your account.
        • Create a new submission.
        • Accepts a submission that was offered.
        • Declines an offered submission.
        • Withdraw a submission.
        • Get a list of reasons for withdrawing a submission.
        • Get information for the specified submission.
        • Update the specified submission.
      • Submissions
        • Get a list of submission documents
        • Get a specified submission document
        • Get a list of submission documents Copy
      • Timecard
        • Get a list of all Timecards related to your account.
        • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
        • Get a specific timecard.
        • Get a list of all documents associated with a timecard.
        • Get the timesheet document associated with a timecard.
        • Get a specific document associated with a timecard.
      • Timecard Copy
        • Get a list of all Timecards related to your account.
        • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
        • Get a specific timecard.
        • Get a list of all documents associated with a timecard.
        • Get the timesheet document associated with a timecard.
        • Get a specific document associated with a timecard.
      • TimecardExpense
        • Get a list of all Timecard Expenses for a Timecard.
      • TimecardLine
        • Get a list of all Timecard Lines for a Timecard.
      • Webhooks
        • Get a list of all webhooks registered for your agency.
        • Subscribes a new webhook to a Trio event.
        • Deletes the webhook registration from Trio.
        • Get the list of available events that can be subscribed to via webhook.
        • Get a webhook by its id.
  1. Shifts

Declines the assignment of a shift

POST
/shifts/{id}/decline
Returns 200 when the declined shift is visible, 204 when it is not

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Path Params

Responses

🟢200OK
application/json
The request has succeeded.
Body

🟢204No Content
🟠400Bad Request
🟠403Forbidden
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.triowfs.com/trio/shifts//decline' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "recruiter": {
        "name": "string",
        "company": "string",
        "email": "user@example.com",
        "phoneNumber": "string"
    },
    "notes": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "number": 0,
    "address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "state": "string",
        "zip": "string"
    },
    "schedule": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "scheduleClient": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "facility": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "unit": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "profession": "string",
    "specialty": "string",
    "start": "string",
    "end": "string",
    "periodOfWork": "string",
    "duration": 0,
    "status": {
        "id": 0,
        "name": "string"
    },
    "rateType": "string",
    "rate": {
        "rateType": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string"
        },
        "isOnCall": true,
        "billRate": 0
    },
    "availableActions": [
        {
            "name": "string",
            "link": "http://example.com",
            "precedence": 0
        }
    ],
    "shiftDetailUrl": "string",
    "candidate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
    },
    "segment": {
        "id": 0,
        "name": "string"
    },
    "shiftType": {
        "id": 0,
        "name": "string"
    }
}
Modified at 2026-01-16 22:00:06
Previous
Confirms the assignment of a shift
Next
Releases a confirmed shift
Built with